### Method

# GSSDP Client set_config_id

#### Declaration [src]

    void
    gssdp_client_set_config_id (
      GSSDPClient* client,
      gint32 config_id
    )

#### Description [src]

The config-id is used to allow caching of the device or service description. It should be changed if that changes.

Sets property | `GSSDP.Client:config-id`

#### Parameters

`config_id`

  Type: `gint32`

  The new config-id for the client.